Update an entity by ID.

The ID can be either an internal ID or an external (STIX) ID.

Note, that an unified entity (an entity with is_unified_entity flag set to True in meta) cannot be modified by user. An attempt to modify it will result in an error.

Required permissions

  • modify entities

Optional permissions

  • read extracts Required to access the observables attached with an entity

  • read taxonomies Required to access the taxonomies associated with an entity

  • read attack Required to access the MITRE ATT&CKs associated with an entity

  • read intel-sets Required to access the datasets associated with an entity

  • read incoming-feeds Required to access the incoming feeds associated with an entity

  • read outgoing-feeds Required to access the outgoing feeds associated with an entity

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Entity ID. It can be either a STIX ID or an EclecticIQ ID.

Query Params
boolean

If ?overwrite_observables=false and new observables are provided, the resulting set of observables will contain both the previous and the new observables. Otherwise, the list of observables will be overwritten by the new one (default: true).

boolean

If ?overwrite_tags=false and new meta.tags are provided, the resulting set of meta.tags will contain both the previous and the new tags. Otherwise, the list of tags will be overwritten by the new one (default: true).

boolean

If ?overwrite_datasets=false and new datasets references are provided, the resulting set of datasets will contain both the previous and the new datasets. Otherwise, the list of datasets will be overwritten by the new one (default: true).

boolean

If ?overwrite_taxonomies=false and new taxonomies are provided, the resulting set of taxonomies will contain both the previous and the new taxonomies. Otherwise, the list of taxonomies will be overwritten by the new one (default: true).

boolean

If ?overwrite_attacks=false and new attacks are provided, the resulting set of attacks will contain both the previous and the new attacks. Otherwise, the list of attacks will be overwritten by the new one (default: true).

Body Params
data
object
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json